<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="ESHOP-PAGE">

<xsl:call-template name="MODULE-CSS"/>

<xsl:call-template name="BACK-TO-CATALOGUE-LINK"/>

<xsl:apply-templates select="HIDDEN-FORM"/>

</xsl:template>

<xsl:template name="BACK-TO-CATALOGUE-LINK">
	<a class="pageContent">
		<xsl:attribute name="href"><xsl:value-of select="@CATALOGUE-LINK"/></xsl:attribute>
		&lt;&lt; <xsl:value-of select="/ESHOP-PAGE/LOCALE/BACK-TO-CATALOGUE"/>
	</a>
</xsl:template>

<xsl:template match="HIDDEN-FORM">
<xsl:choose>
	<xsl:when test="../@PREVIEW_TRANSACTION=1">
		<script>
			<xsl:comment>
			newWindow = window.open();
			newWindow.document.write('<xsl:value-of select="/ESHOP-PAGE/LOCALE/PREVIEW-TRANSACTION-INFO/text()"/>');
			newWindow.document.close();
			</xsl:comment>
		</script>
	</xsl:when>
	<xsl:otherwise>
		<form method="POST" name="hidden">
			<xsl:attribute name="target"><xsl:value-of select="@TARGET"/></xsl:attribute>
			<xsl:attribute name="action"><xsl:value-of select="@ACTION"/></xsl:attribute>
			<xsl:apply-templates select="HIDDEN-FORM-FIELD"/>
		</form>
		<script>
			document.forms['hidden'].submit();
		</script>
	</xsl:otherwise>
</xsl:choose>	
</xsl:template>

<xsl:template match="HIDDEN-FORM-FIELD">
<input type="hidden">
	<xsl:attribute name="name"><xsl:value-of select="@NAME"/></xsl:attribute>
	<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
</input>
</xsl:template>


</xsl:stylesheet>
