<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>
	
	<xsl:template match="ORDER-FORM">
	</xsl:template>	

	<xsl:template match="ORDER-FORM" mode="content">
		<input type="hidden" name="tab" value="main" />
		<input type="hidden" name="id">
			<xsl:attribute name="value"><xsl:value-of select="@ORDER-ID"/></xsl:attribute>
		</input>		
		<xsl:apply-templates select="TAB-PANEL" />
		<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
	</xsl:template>

	<xsl:template match="ORDER-FORM" mode="initAfterBody">
		<xsl:call-template name="MODULE-MODAL-FORM" />
	</xsl:template>	
		
	
	<xsl:template match="CONTENT-CARD">
		<xsl:apply-templates select="CONTROL[@NAME='status']"  mode="TITLE-LEFT">
			<xsl:with-param name="controlStyle">width: 100%; margin-bottom: 20px;</xsl:with-param>
		</xsl:apply-templates>
		<xsl:apply-templates select="PAGED-LIST" />
	</xsl:template>	
	
	<xsl:template match="CONTENT-CARD/PAGED-LIST/LIST/HEADER">
		<tr class="SBGridViewHeader" align="left" style="height:24px;white-space:nowrap;">	
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="NAME"/></th>
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="QUANTITY"/></th>
			<th style="padding-left: 4px; padding-right: 4px;"><xsl:value-of select="PRICE"/></th>
		</tr> 
	</xsl:template>
	
	<xsl:template match="CONTENT-CARD/PAGED-LIST/LIST/ITEM">
		<xsl:variable name="class" select="position() mod 2"/>
		<tr class="SB_List_Rrow_{$class}" style="height:24px;">
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="NAME"/></xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="QUANTITY"/></xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="LIST-ROW-ITEM">
				<xsl:with-param name="title"><xsl:value-of select="PRICE"/></xsl:with-param>
			</xsl:call-template>
		</tr>
		<xsl:if test="position()=last()">
			<tr class="SB_List_Rrow_{$class}" style="height:24px;">
				<td class="SB_GridText" style="padding-left: 4px; padding-right: 4px;" colspan="2">			
					<b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/TOTAL"/>:</b>
				</td>
				<td style="padding-left: 4px; padding-right: 4px;">
					<b><xsl:value-of select="ancestor::CONTENT-CARD/@TOTAL"/></b>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>		
	
	<xsl:template match="CONTACT-INFO-CARD">
		<table width="100%">
			<tr>
				<td valign="top">
					<table>
						<tr><td><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/CREATED-AT"/>:</b></td><td><xsl:value-of select="CREATION-DATE"/></td></tr>
						<tr><td><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/LAST-UPDATED"/>:</b></td><td><xsl:value-of select="LAST-UPDATED-DATE"/></td></tr>
					</table>
				</td>
				<td>
					<table>
						<tr><td><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/NAME"/>:</b></td><td><xsl:value-of select="FIRST-NAME"/>&#160;<xsl:value-of select="LAST-NAME"/></td></tr>
						<tr><td><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/EMAIL"/>:</b></td><td><xsl:value-of select="EMAIL"/></td></tr>
						<tr><td><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/PHONE"/>:</b></td><td><xsl:value-of select="PHONE-NUMBER"/></td></tr>
						<tr><td><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COMPANY"/>:</b></td><td><xsl:value-of select="COMPANY"/></td></tr>
						<tr><td><b><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/ADDRESS"/>:</b></td><td>
							<xsl:value-of select="ADDRESS1"/>
							<xsl:value-of select="ADDRESS2"/> 
							<xsl:value-of select="CITY"/> 
							<xsl:value-of select="STATE"/> 
							<xsl:value-of select="COUNTRY"/> 
							<xsl:value-of select="ZIP"/>
						</td></tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>	
	
	<xsl:template match="COMMENT-CARD">
		<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COMMENT-DESCRIPTION"/>:<br/>
		<textarea name="comment" class="SB_Control_Input_Input" style="width: 100%;" rows="10">
			<xsl:value-of select="text()"/>
		</textarea>
	</xsl:template>	
	
</xsl:stylesheet>	